#!/bin/bash
# This script is specifically used to clean up services_vm logical
# volumes in the event of a platform upgrade rollback initiated
# because of a reboot before a user committed the upgrade.

cleanupLog=/root/rbcleanup.log
exec > $cleanupLog 2>&1
set -x
echo rollback cleanup of services_vm started on $(date)

lvScriptsDir=/opt/avaya/vsp/template/scripts
lvCheck=$lvScriptsDir/lv_check
lvDelete=$lvScriptsDir/lv_delete

lvsToDelete=$(/usr/sbin/lvs -o lv_name | grep " lv_services_vm")
echo logical volume list = $lvsToDelete
for word in $lvsToDelete
do
    echo check logical volume $word
    $lvCheck $word 2>&1> /dev/null
    if [ $? == 1 ]; then
        echo delete $word
        $lvDelete $word
    else
        echo "lvname $word does not exist"
    fi
done
echo rollback cleanup complete
